Skip to content
Browse API reference

Search Lists

Request

POST https://api.castle.io/v1/lists/query

Request body

filters
object[] or object

Additional filters to query lists by fields and archival status. Accepts a list of filters or a filter tree ({ "$and" | "$or": [...] }).

page
integer

Page number

results_size
integer

How many records to show per page

include_size_label
boolean

Whether to include the size label in the response

sort
object

List sort order, based on creation timestamp

Response

200
object[]

Returns a list of all the Lists matching the query

401
No body

You are missing the Authorization header, or the API secret is missing or incorrect.

403
No body

The request is rejected because the service is not enabled for this account.

422
object

The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint.

429
No body

You performed too many requests. You should back off and retry using the exponential backoff algorithm.

500
No body

There’s an issue on our end.